using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Web.Script.Serialization;
using ComplexType;

namespace TypeResolver
{
	/// <summary>
	/// Summary description for CustomizeTypeResolver
	/// </summary>
	public class CustomizeTypeResolver : JavaScriptTypeResolver
	{
		public override Type ResolveType(string id)
		{
			switch (id)
			{
				case "0": return typeof(Intern);
				case "1": return typeof(Vendor);
				case "2": return typeof(FulltimeEmployee);
			}

			return null;
		}

		public override string ResolveTypeId(Type type)
		{
			if (type == typeof(Intern))
			{
				return "0";
			}
			else if (type == typeof(Vendor))
			{
				return "1";
			}
			else if (type == typeof(FulltimeEmployee))
			{
				return "2";
			}

			return null;
		}
	}
}