<%@ WebService Language="C#" Class="DataTableService" %>

using System;
using System.Web;
using System.Web.Services;
using System.Web.Services.Protocols;
using System.Web.Script.Services;
using System.Data;

[WebService(Namespace = "http://tempuri.org/")]
[WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
[ScriptService]
public class DataTableService  : System.Web.Services.WebService
{
    [WebMethod]
    public DataTable GetDataTable()
	{
		DataTable dt = new DataTable();
		dt.Columns.Add(new DataColumn("ID", typeof(int)));
		dt.Columns.Add(new DataColumn("Text", typeof(string)));

		Random random = new Random(DateTime.Now.Millisecond);
		for (int i = 0; i < 10; i++)
		{
			dt.Rows.Add(i, random.Next().ToString());
		}

		return dt;
    }

}

