using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Web.Script.Serialization;
using ComplexType;
using TypeResolver;

public partial class _6_Serialization : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
		
    }

	protected string SerializedDateTime
	{
		get
		{
			JavaScriptSerializer serializer = new JavaScriptSerializer();
			return serializer.Serialize(DateTime.Now);
		}
	}

	protected string GetSerializedEmployee(int id)
	{
		Employee emp = null;
		switch (id)
		{
			case 0: emp = new Intern(); break;
			case 1: emp = new Vendor(); break;
			default: emp = new FulltimeEmployee(); break;
		}

		JavaScriptSerializer serializer = new JavaScriptSerializer(new CustomizeTypeResolver());
		return serializer.Serialize(emp);
	}
}
